Get device activities by imei

Gets a list of device activities for a given date range
A limit parameter may be passed to limit the number of activities returned in one request.
If a request returns nextToken, this value should be passed in the query params of the following request, in order to retrieve the next page of results.

Activities can also be filtered:

  • By activity type with the type query parameter
  • By traveled distance, the default units are miles
  • By travel duration, the default units are minutes
  • By completion status, either completed or in progress

If the distanceUnits or durationUnits parameter is provided, the results will be transformed before they are returned.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

IMEI to filter activities by.

Query Params
date-time
required

Filter by activities started before endDate

date-time
required

Filter by activities started after startDate

string
enum

The completion status of the activity

Allowed:
number

In the case of a trip activity, include only trips with a travel distance not smaller than minDistance

number

In the case of a trip activity, include only trips with a travel distance not greater than maxDistance

string
enum

Specify the measurement units for distance filters. Defaults to miles.

Allowed:
number

Filter by the minimum duration of the activity

number

Filter by the maximum duration of the activity

string
enum

Specify the measurement units for duration filters. Defaults to minutes.

Allowed:
number
≤ 100
Defaults to 100

Maximum number or result in one page

string

Pagination token received from previous query

string
enum

Type of activity

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json